## ibuskeys

ibuskeys

## Functions

const gchar * | ibus_keyval_name ()
guint | ibus_keyval_from_name ()
guint | ibus_unicode_to_keyval ()
gunichar | ibus_keyval_to_unicode ()
guint | ibus_keyval_to_upper ()
guint | ibus_keyval_to_lower ()
void | ibus_keyval_convert_case ()

## Description

## Functions

### ibus_keyval_name ()

    const gchar *
    ibus_keyval_name (guint keyval);

Return the name of a key symbol.

Note that the returned string is used internally, so don't free it.

#### Parameters

keyval | Key symbol. |

#### Returns

Corresponding key name. `NULL` if no such key symbol.

### ibus_keyval_from_name ()

    guint
    ibus_keyval_from_name (const gchar *keyval_name);

Return the key symbol that associate with the key name.

#### Parameters

keyval_name | Key name in gdk_keys_by_name. |

#### Returns

Corresponding key symbol.

### ibus_unicode_to_keyval ()

    guint
    ibus_unicode_to_keyval (gunichar wc);

Convert from a ISO10646 character to a key symbol.

#### Parameters

wc | a ISO10646 encoded character |

#### Returns

the corresponding IBus key symbol, if one exists. or, if there is no corresponding symbol, `wc | 0x01000000`

### ibus_keyval_to_unicode ()

    gunichar
    ibus_keyval_to_unicode (guint keyval);

Convert from an IBus key symbol to the corresponding ISO10646 (Unicode) character.

#### Parameters

keyval | an IBus key symbol |

#### Returns

the corresponding unicode character, or 0 if there is no corresponding character.

### ibus_keyval_to_upper ()

    guint
    ibus_keyval_to_upper (guint keyval);

Converts a key value to upper case, if applicable.

#### Parameters

keyval | a key value. |

#### Returns

the upper case form of `keyval` , or `keyval` itself if it is already in upper case or it is not subject to case conversion.

### ibus_keyval_to_lower ()

    guint
    ibus_keyval_to_lower (guint keyval);

Converts a key value to lower case, if applicable.

#### Parameters

keyval | a key value. |

#### Returns

the lower case form of `keyval` , or `keyval` itself if it is already in lower case or it is not subject to case conversion.

### ibus_keyval_convert_case ()

    void
    ibus_keyval_convert_case (guint symbol,
                              guint *lower,
                              guint *upper);

Obtains the upper- and lower-case versions of the keyval `symbol` . Examples of keyvals are IBUS_KEY_a, IBUS_KEY_Return, IBUS_KEY_F1, etc.

#### Parameters

symbol | a keyval |
lower | return location for lowercase version of `symbol` . | [out]
upper | return location for uppercase version of `symbol` . | [out]